/* ------------------------------------------------------------------------------- *
 * This file is part of PROMPT - a Protein Mapping and Comparison Tool             *
 * ------------------------------------------------------------------------------- *
 * Copyright (C) Thorsten Schmidt                             t.schmidt@wzw.tum.de *
 *               Technische Universitt Mnchen                                    *
 *               Wissenschaftszentrum Weihenstephan                                *
 *               Am Forum 1                                                        *
 *               85354 Freising                                                    *
 *               Germany                                                           *
 *                                                                                 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A *
 * PARTICULAR PURPOSE.  See the license file for more details.                     *
 *                                                                                 *
 * ------------------------------------------------------------------------------- *
 * $Id: Engine2.java,v 1.2 2006/01/05 02:19:15 schmidt Exp $
 * ------------------------------------------------------------------------------- *
 * Author: Thorsten Schmidt <t.schmidt@wzw.tum.de>                                 *
 * ------------------------------------------------------------------------------- */
package prompt.engine;

import prompt.input.IInput;

/**
 * @author Schmidt
 *
 */
public abstract class Engine2 extends Engine implements IEngine2 {
	
  private final static long serialVersionUID = -6849794470754667700L;
  
	public  void init(IInput setA, IInput setB) throws Exception {
		if (setA == null) {
			throw new Exception("Dataset setA is null");
		}
		if (setB == null) {
			throw new Exception("Dataset setB is null");
		}
		desc1 = setA.getDescription();
		desc2 = setB.getDescription();
	}

}
