/*
 * Created on 24.01.2006
 *
 */
package prompt.engine;
/*
 * -Filter-Typ Erkennung wie besprochen. Fr jede Spalte gehe runter bis 5 Zellen mit Werten gefunden worden sind,
 * falls alle Werte double --> Typ= Double, sonst String
 * -------------> DONE (but not nicely yet) FEHLER IN DEMOWORKSPACE result27
 * 
 * -Temporaere DB Files nicht ins Verzeichnis wo das Programm ausgefhrt wird sondern ins tmp-Verzeichnis
 * System.getProperty("java.io.tmpdir").
 * -------------> DONE (siehe aufbau der virtualdb)
 * 
 * -Im ResultFilterExit Handler sicherstellen das eigene temporren DB Files auch geloescht werden
 * -------------> DONE but not tested!
 * 
 * -Table-Exist abfrage um zu vermeiden das Tabellen mit den gleichen Inhalten mehrfach angelegt werden
 *  (! Was passiert zum Beispiel wenn ich ein Result loesche und dann ein neues anlege was einen
 *  anderen Inhalt hat aber die gleiche Nummer, oder was passiert wenn workspaces geladen werden -->
 *  gleiche Tablenummer, aber ganz andere Daten)
 * -------------> DONE
 *  
 * -Frage: Cacht VirtualDB auf die Platte oder werden alle Daten im Speicher gehalten? 
 */


import gr.zeus.ui.JMessage;

import javax.swing.JOptionPane;

import org.apache.log4j.Logger;

import prompt.input.IInput;

/**
 * Filters an IEngineResults and returns the filtered IEngineResult
 * 
 * @author <a href="mailto:schmidtt@informatik.uni-muenchen.de>Schmidt Thorsten</a>
 * 
 */
public class ResultFilter extends Engine1 {
	public static VirtualDB2 db = null;
	public static boolean addedShutDownThread = false;
	
	private Logger logger = Logger.getLogger(this.getClass());
	private static final long serialVersionUID = 1L;

	private IEngineResults input;

	@Override
	public void init(IInput setA) throws Exception {
		super.init(setA);
		this.input = (IEngineResults) setA;
		tabName = this.input.getFilename();
	}

	public ResultFilter() {
		super();
	}

	private String filterCmd = null;

	private String filteredInput = null;

	private String tabName = null;
	
	public void setFilterCmd(String cmd) {
		filterCmd = cmd;
	}

	@Override
	public void run() throws Exception {
		/*
		 * pruefe ob ein sql filter bereits angegeben ist, falls nicht zeige
		 * Dialog wo der Benutzer die SQl Query zusammenbauen kann
		 * 
		 */
		if (filterCmd == null) {
			// ask user
			// if user cancel return
			// user can give any name for db table ...
			// it still has to be parsed out
			ResultFilterDlg dlg = new ResultFilterDlg(null,true);
			dlg.labelTableName.setText(tabName);
			String exStr = "select QUERY_ID, SUBJECT_ID from "+tabName+" where IDENTITY_OF_HIT>95";
			dlg.labelExampleSQL.setText(exStr);
			dlg.setVisible(true);
			if (dlg.cancel) {
				JMessage.showMessageDialog(null, "Result Filter canceled by user",
						JOptionPane.WARNING_MESSAGE, JOptionPane.DEFAULT_OPTION);
				return;
			}
			filterCmd = dlg.sqlcmd; 
		}
		logger.debug("FILTERCMD='"+filterCmd+"'");
		// apply filter auf input input.getData();
		String result = input.getData();

		if (db==null) db = new VirtualDB2("db");
		if (!addedShutDownThread) {
		  Runtime.getRuntime().addShutdownHook(new ResultFilterExit());
		  addedShutDownThread=true;
		}
		
		db.createTable(new Tabelle(tabName , result ));
		filteredInput = db.query(filterCmd);
		//db.shutdown();
		if (input.hasRownames())
			this.setRownames();
	}

	public IEngineResults[] getResultsAll() throws Exception {
		IEngineResults[] results = new EngineResults[1];
		results[0] = new EngineResults();
		results[0].setResult(filteredInput, input.getDesc1(), input.getDesc2(),
				this.rownames, input.getResultType());
		return results;
	}

}
