package prompt.engine;



import java.util.Vector;

public class Spalte<T> {

	private String name, type;

	private Vector<T> rows;

	private int pos;

	public void add(T aux) {
		add(rows.size(), aux);
	}

	public void add(int i, T aux) {
		rows.add(i, aux);
	}

	public T delete() {
		try {
			return delete(0);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return null;
	}

	public T delete(int i) throws Exception {
		T aux = null;
		if (rows.size() <= i)
			throw new ArrayIndexOutOfBoundsException(i);
		else {
			aux = rows.elementAt(i);
			rows.removeElementAt(i);
		}
		return aux;
	}

	public T getElement(int i) throws Exception {
		if (rows.size() <= i)
			throw new ArrayIndexOutOfBoundsException(i);
		else
			return rows.elementAt(i);
	}

	public Spalte(String name, int pos, String type) {
		this.name = name;
		this.pos = pos;
		this.type = type;
		rows = new Vector<T>();
	}

	public String getName() {
		return name;
	}

	public String getType() {
		return type;
	}

	public int getPos() {
		return pos;
	}

	public int size() {
		return rows.size();
	}

	public boolean hasMoreElements() {
		if (size() > 0)
			return true;
		else
			return false;
	}
}
