/* ------------------------------------------------------------------------------- *
 * This file is part of PROMPT - a Protein Mapping and Comparison Tool             *
 * ------------------------------------------------------------------------------- *
 * Copyright (C) Thorsten Schmidt                             t.schmidt@wzw.tum.de *
 *               Technische Universitt Mnchen                                    *
 *               Wissenschaftszentrum Weihenstephan                                *
 *               Am Forum 1                                                        *
 *               85354 Freising                                                    *
 *               Germany                                                           *
 *                                                                                 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A *
 * PARTICULAR PURPOSE.  See the license file for more details.                     *
 *                                                                                 *
 * ------------------------------------------------------------------------------- *
 * $Id: BlastDialogReturn.java,v 1.2 2006/01/05 02:19:22 schmidt Exp $
 * ------------------------------------------------------------------------------- *
 * Author: Thorsten Schmidt <t.schmidt@wzw.tum.de>                                 *
 * ------------------------------------------------------------------------------- */
package prompt.engine.seqproperties.mapper;

public class BlastDialogReturn {

	/**
	 * 0 = setA, 1= setB
	 */
	public int choosenQuerySet = -1;
	
	public int sequenceType = -1;
	
	public String paramStr = null;
	
	public static final int PROTEIN = 1;
	public static final int NUCLEOTID = 2;
	@Override
	public String toString() {
		return "choosenQuerySet="+choosenQuerySet+"\n"+
		"sequenceType="+sequenceType+"\n"+
		"paramStr='"+paramStr+"'\n"+
		"canceled="+canceled;
	}
	
	public boolean canceled = true;
	
	
}
