/* ------------------------------------------------------------------------------- *
 * This file is part of PROMPT - a Protein Mapping and Comparison Tool             *
 * ------------------------------------------------------------------------------- *
 * Copyright (C) Thorsten Schmidt                             t.schmidt@wzw.tum.de *
 *               Technische Universit�t M�nchen                                    *
 *               Wissenschaftszentrum Weihenstephan                                *
 *               Am Forum 1                                                        *
 *               85354 Freising                                                    *
 *               Germany                                                           *
 *                                                                                 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A *
 * PARTICULAR PURPOSE.  See the license file for more details.                     *
 *                                                                                 *
 * ------------------------------------------------------------------------------- *
 * $Id: FastaVsDbDialogReturn.java,v 1.1 2006/04/12 12:24:57 hager Exp $
 * ------------------------------------------------------------------------------- *
 * Author: Thorsten Schmidt <t.schmidt@wzw.tum.de>                                 *
 * ------------------------------------------------------------------------------- */
package prompt.engine.seqproperties.mapper;

import java.io.File;

public class FastaVsDbDialogReturn {

		
	public int sequenceType = -1;
	
	public String paramStr = null;
	
	public File dbFile = null;
	
	public static final int PROTEIN = 1;
	public static final int NUCLEOTID = 2;
	@Override
	public String toString() {
		return "filepath=" + dbFile.getPath()+"\n"+
		"sequenceType="+sequenceType+"\n"+
		"paramStr='"+paramStr+"'\n"+
		"canceled="+canceled;
	}
	
	public boolean canceled = true;
	
	
}
