/* ------------------------------------------------------------------------------- *
 * This file is part of PROMPT - a Protein Mapping and Comparison Tool             *
 * ------------------------------------------------------------------------------- *
 * Copyright (C) Thorsten Schmidt                             t.schmidt@wzw.tum.de *
 *               Technische Universitt Mnchen                                    *
 *               Wissenschaftszentrum Weihenstephan                                *
 *               Am Forum 1                                                        *
 *               85354 Freising                                                    *
 *               Germany                                                           *
 *                                                                                 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A *
 * PARTICULAR PURPOSE.  See the license file for more details.                     *
 *                                                                                 *
 * ------------------------------------------------------------------------------- *
 * $Id: DataFile.java,v 1.2 2006/01/05 02:19:10 schmidt Exp $
 * ------------------------------------------------------------------------------- *
 * Author: Thorsten Schmidt <t.schmidt@wzw.tum.de>                                 *
 * ------------------------------------------------------------------------------- */
package prompt.input.classes;

import prompt.input.IDataFile;

/**
 * @author schmidt
 *
 */
public abstract class DataFile extends Input implements IDataFile {
  private final static long serialVersionUID = -6849794470754667700L;
	protected String filename;

	/**
	 * 
	 * @uml.property name="filename"
	 */
	/* (non-Javadoc)
	 * @see de.tum.binfo.proj.input.IFile#setFilename(java.lang.String)
	 */
	public void setFilename(String filename) {
		this.filename = filename;

	}

	/**
	 * 
	 * @uml.property name="filename"
	 */
	/* (non-Javadoc)
	 * @see de.tum.binfo.proj.input.IFile#getFilename()
	 */
	public String getFilename() {
		return filename;
	}

}
