/* ------------------------------------------------------------------------------- *
 * This file is part of PROMPT - a Protein Mapping and Comparison Tool             *
 * ------------------------------------------------------------------------------- *
 * Copyright (C) Thorsten Schmidt                             t.schmidt@wzw.tum.de *
 *               Technische Universitt Mnchen                                    *
 *               Wissenschaftszentrum Weihenstephan                                *
 *               Am Forum 1                                                        *
 *               85354 Freising                                                    *
 *               Germany                                                           *
 *                                                                                 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A *
 * PARTICULAR PURPOSE.  See the license file for more details.                     *
 *                                                                                 *
 * ------------------------------------------------------------------------------- *
 * $Id: IGraph2.java,v 1.2 2006/01/05 02:19:20 schmidt Exp $
 * ------------------------------------------------------------------------------- *
 * Author: Thorsten Schmidt <t.schmidt@wzw.tum.de>                                 *
 * ------------------------------------------------------------------------------- */
package prompt.util.graph;

public interface IGraph2 {

     public abstract void setNodes(java.util.Hashtable nodes);
    
    public abstract java.util.Hashtable getNodes();
    
    public abstract void setEdges(java.util.Hashtable edges);
    
    public abstract java.util.Hashtable getEdges();
    
    
    
    public abstract Node2 getNode(String id);
    
    
    
    public abstract Edge getEdge(String id);
    
    public abstract String getName();
    
    public abstract void setName(String name);
}
