/* ------------------------------------------------------------------------------- *
 * This file is part of PROMPT - a Protein Mapping and Comparison Tool             *
 * ------------------------------------------------------------------------------- *
 * Copyright (C) Thorsten Schmidt                             t.schmidt@wzw.tum.de *
 *               Technische Universitt Mnchen                                    *
 *               Wissenschaftszentrum Weihenstephan                                *
 *               Am Forum 1                                                        *
 *               85354 Freising                                                    *
 *               Germany                                                           *
 *                                                                                 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A *
 * PARTICULAR PURPOSE.  See the license file for more details.                     *
 *                                                                                 *
 * ------------------------------------------------------------------------------- *
 * $Id: INode.java,v 1.2 2006/01/05 02:19:21 schmidt Exp $
 * ------------------------------------------------------------------------------- *
 * Author: Thorsten Schmidt <t.schmidt@wzw.tum.de>                                 *
 * ------------------------------------------------------------------------------- */
package prompt.util.graph;

public interface INode {

	
	
	public abstract String getIdentifier();
	
	public abstract void setIdentifier(String id);
	
	public abstract void setEdgesOutgoing(java.util.ArrayList edges);
	
	public abstract java.util.ArrayList getEdgesOutgoing();
	
    public abstract void setEdgesIncoming(java.util.ArrayList edges);
    
    public abstract java.util.ArrayList getEdgesIncoming();
}
