/* ------------------------------------------------------------------------------- *
 * This file is part of PROMPT - a Protein Mapping and Comparison Tool             *
 * ------------------------------------------------------------------------------- *
 * Copyright (C) Thorsten Schmidt                             t.schmidt@wzw.tum.de *
 *               Technische Universitt Mnchen                                    *
 *               Wissenschaftszentrum Weihenstephan                                *
 *               Am Forum 1                                                        *
 *               85354 Freising                                                    *
 *               Germany                                                           *
 *                                                                                 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A *
 * PARTICULAR PURPOSE.  See the license file for more details.                     *
 *                                                                                 *
 * ------------------------------------------------------------------------------- *
 * $Id: IVisualisationGnuplot.java,v 1.2 2006/01/05 02:19:05 schmidt Exp $
 * ------------------------------------------------------------------------------- *
 * Author: Thorsten Schmidt <t.schmidt@wzw.tum.de>                                 *
 * ------------------------------------------------------------------------------- */
package prompt.vis;

import tschmidt.ginterface.vis.Par;



/**
 * @author Schmidt
 *
 */
public interface IVisualisationGnuplot extends IVisualisation{
    
  //gnuplot specific parameter objects to change the graphic figure here
    /**
     * @return Returns the plotting parameter object.
     * @uml.property name="Par"
     */
	public Par getPar();
	
	
	/**
	 * Sets the plotting parameter object
	 * @param par The par to set.
	 * @uml.property name="Par"
	 */
	public void setPar(Par par);
	
}



