package prompt.vis.genericxml;

import org.apache.log4j.Logger;

import prompt.engine.IEngineResults;
import prompt.ui.DialogFactory;
import prompt.vis.generic.ScatterPlot;
import tschmidt.rinterface.RException;

public class CorrelationNumeric extends ScatterPlot {

	private static final long serialVersionUID = 6124570221031747053L;

	//	 String s = (String) JOptionPane.showInputDialog(null, "max x-Wert eingeben", "90");
	Logger logger = Logger.getLogger(CompareNumeric.class);



	

	public void init(IEngineResults data) {
		super.init(data);
		doSettings();
	}

	

	protected void doSettings() {

		
		 this.setColsToPlot(1,2);
		 this.getTitle().setXlab(data.getDesc1());
		 this.getTitle().setYlab(data.getDesc2());
		    //splot.init(new double[][] { {1,1}, {1.52,2}},"a","b");
		 this.plot.setCol("blue");
		

	}

	
	public final static String BOTH_AXES = "Both axes logarithmic";
	public final static String Y_AXIS = "Y-Axis logarithmic";
	public final static String X_AXIS = "X-Axis logarithmic";
	public final static String NO_AXIS = "Both axes linear (DEFAULT)";
	
	@Override
	public void run() throws RException {
		String choosenSet = DialogFactory.chooseDlg("Axes scaling","Choose the desired axes scaling",
				new String[]{NO_AXIS, X_AXIS, Y_AXIS,BOTH_AXES},NO_AXIS );
		if (choosenSet.equals(BOTH_AXES)) this.plot.setAdditional("log=\"xy\"");
		if (choosenSet.equals(X_AXIS)) this.plot.setAdditional("log=\"x\"");
		if (choosenSet.equals(Y_AXIS)) this.plot.setAdditional("log=\"y\"");
		super.run();
	
	}

	@Override
	public int hashCode() {
		return 0;
	}

}
