/* ------------------------------------------------------------------------------- *
 * This file is part of PROMPT - a Protein Mapping and Comparison Tool             *
 * ------------------------------------------------------------------------------- *
 * Copyright (C) Thorsten Schmidt                             t.schmidt@wzw.tum.de *
 *               Technische Universitt Mnchen                                    *
 *               Wissenschaftszentrum Weihenstephan                                *
 *               Am Forum 1                                                        *
 *               85354 Freising                                                    *
 *               Germany                                                           *
 *                                                                                 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A *
 * PARTICULAR PURPOSE.  See the license file for more details.                     *
 *                                                                                 *
 * ------------------------------------------------------------------------------- *
 * $Id: GenericXMLComparePlot.java,v 1.5 2006/03/19 11:58:07 schmidt Exp $
 * ------------------------------------------------------------------------------- *
 * Author: Thorsten Schmidt <t.schmidt@wzw.tum.de>                                 *
 * ------------------------------------------------------------------------------- */
package prompt.vis.genericxml;

import org.apache.log4j.Logger;

import prompt.engine.IEngineResults;
import prompt.vis.VisualisationR;
import tschmidt.rinterface.RException;
import tschmidt.rinterface.vis.Barplot;


/**
 * not in use any more
 * @author user
 *
 */
public class GenericXMLComparePlot extends VisualisationR {

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public Barplot barplot = new Barplot();
    
    /**
     * @param engineResData
     */
    public GenericXMLComparePlot() { 
        super();
    }


    
    public void init(IEngineResults data) {
        super.init(data);
        par.setMar_top(4);
        title.setMain("setA: "+data.getDesc1()+"\\\n"+"setB: "+data.getDesc2());
        title.setXlab("most different symbols\\\n<0: more in setB, >0: more in setA");
        title.setYlab("Enrichment in percent");
       barplot.setFirst("data[seq(1,10),3],names=datPlot");
       //barplot.setAdditional("names=data[,3]");
    }
    
    
    public String color1 = "green";
    public String color2 = "blue";

    /*
     * (non-Javadoc)
     * 
     * @see de.tum.binfo.jdrm.WJobTemplate#hashCode()
     */
    public int hashCode() {
        return 0;
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.tum.binfo.jdrm.JobTemplate#run()
     */
    public void run() throws RException {
        String rcmds = "datPlot=as.vector(data$Property[seq(1,10)])\n"+barplot+"\nbox()\n";
        Logger logger = Logger.getLogger(this.getClass());
        logger.debug(rcmds);
        performPlotting(rcmds);

    }
}

