/* ------------------------------------------------------------------------------- *
 * This file is part of PROMPT - a Protein Mapping and Comparison Tool             *
 * ------------------------------------------------------------------------------- *
 * Copyright (C) Thorsten Schmidt                             t.schmidt@wzw.tum.de *
 *               Technische Universitt Mnchen                                    *
 *               Wissenschaftszentrum Weihenstephan                                *
 *               Am Forum 1                                                        *
 *               85354 Freising                                                    *
 *               Germany                                                           *
 *                                                                                 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A *
 * PARTICULAR PURPOSE.  See the license file for more details.                     *
 *                                                                                 *
 * ------------------------------------------------------------------------------- *
 * $Id: LengthAgainstHyphobPlot.java,v 1.6 2006/03/19 11:58:07 schmidt Exp $
 * ------------------------------------------------------------------------------- *
 * Author: Thorsten Schmidt <t.schmidt@wzw.tum.de>                                 *
 * ------------------------------------------------------------------------------- */
package prompt.vis.seqproperties;

import prompt.engine.IEngineResults;
import prompt.vis.generic.ScatterPlot;
import tschmidt.rinterface.RException;


public class LengthAgainstHyphobPlot extends ScatterPlot { //VisualisationR {

  
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public LengthAgainstHyphobPlot() throws Exception {
		//super.init(data);
	}

	/**
	 * @param data
	 */
	public void init(IEngineResults data) {
		super.init(data);
        this.setColsToPlot(2,3);
        this.getTitle().setXlab("Length");
        this.getTitle().setYlab("GRAVY");
	}

	public int hashCode() {
		return 0;
	}

	public void run() throws RException {
        super.run();
        /*String Rlims = "xlim=c(min(data$LENGTH),max(data$LENGTH)),ylim=c(min(data$HYPHOB),max(data$HYPHOB))";
		String rcmds =
			"plot(data, col=\"darkviolet\", pch=1," + Rlims + ")\n"
				+ "legend(max(data[1])-50,max(data[2]),c(\""
				+ data.getDesc1()
				+ "\"),pch=1,col=\"darkviolet\")\n";

		rcmds =
			rcmds
				+ "par(new=T)\n"
				+ "plot(data$LENGTH,predict(loess(data$HYPHOB~data$LENGTH,span=0.6)),xlab=\"\",ylab=\"\",pch=2, " + Rlims + ")\n";

		performPlotting(rcmds);*/
        
	}
}
