/* ------------------------------------------------------------------------------- *
 * This file is part of PROMPT - a Protein Mapping and Comparison Tool             *
 * ------------------------------------------------------------------------------- *
 * Copyright (C) Thorsten Schmidt                             t.schmidt@wzw.tum.de *
 *               Technische Universitt Mnchen                                    *
 *               Wissenschaftszentrum Weihenstephan                                *
 *               Am Forum 1                                                        *
 *               85354 Freising                                                    *
 *               Germany                                                           *
 *                                                                                 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A *
 * PARTICULAR PURPOSE.  See the license file for more details.                     *
 *                                                                                 *
 * ------------------------------------------------------------------------------- *
 * $Id: SwissProtAnalysesMain.java,v 1.2 2006/01/05 02:19:21 schmidt Exp $
 * ------------------------------------------------------------------------------- *
 * Author: Thorsten Schmidt <t.schmidt@wzw.tum.de>                                 *
 * ------------------------------------------------------------------------------- */
package prompt.engine.swissProt;

import java.util.Hashtable;
import java.util.Iterator;

public class SwissProtAnalysesMain {

    public static Hashtable addCounterRatio(Hashtable counter) {
        Iterator keys = counter.keySet().iterator();
        String curKey;
        double ratio;
        while(keys.hasNext()){
            curKey = (String)keys.next();
            if(((int[])counter.get(curKey))[0] == 0 | ((int[])counter.get(curKey))[1] == 0){}
            else{
                ratio = ((int[])counter.get(curKey))[0] / ((int[])counter.get(curKey))[1];
                counter.put(curKey, new double[]{((int[])counter.get(curKey))[0], ((int[])counter.get(curKey))[1], ratio});
            }
            
        }
        return counter;
    }

    /**
     * @param args
     */
    public static void main(String[] args) {
        
        addCounterRatio(new Hashtable());
    }

}
