/* ------------------------------------------------------------------------------- *
 * This file is part of PROMPT - a Protein Mapping and Comparison Tool             *
 * ------------------------------------------------------------------------------- *
 * Copyright (C) Thorsten Schmidt                             t.schmidt@wzw.tum.de *
 *               Technische Universitt Mnchen                                    *
 *               Wissenschaftszentrum Weihenstephan                                *
 *               Am Forum 1                                                        *
 *               85354 Freising                                                    *
 *               Germany                                                           *
 *                                                                                 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A *
 * PARTICULAR PURPOSE.  See the license file for more details.                     *
 *                                                                                 *
 * ------------------------------------------------------------------------------- *
 * $Id: Organelle.java,v 1.3 2006/03/19 11:58:03 schmidt Exp $
 * ------------------------------------------------------------------------------- *
 * Author: Thorsten Schmidt <t.schmidt@wzw.tum.de>                                 *
 * ------------------------------------------------------------------------------- */
package prompt.input.classes.swissProt.internals;

import java.io.Serializable;

public class Organelle implements Serializable{




	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private java.util.Hashtable positionLookup = new java.util.Hashtable();
	
	public Organelle() {
		positionLookup.put("chloroplast",new Integer(0));
		positionLookup.put("cyanelle",new Integer(0));
		positionLookup.put("hydrogenosome", new Integer(0));
		positionLookup.put("mitochondrium",new Integer(0));
		positionLookup.put("nucleomorph",new Integer(0));
		positionLookup.put("plasmid", new Integer(0));
	}

	public java.util.Hashtable getOGSummary() {

		return positionLookup;
	}
	public void newOGEntry(String input)
	{ 
	   int value = ((Integer)positionLookup.get(input.toLowerCase())).intValue();
	   positionLookup.put(input.toLowerCase(), new Integer(value+1));
	  
	 
	  
	 /* if(groupNumber<1 || groupNumber>2){throw new IllegalArgumentException();}
	  
	  if(groupNumber==1 ){ 
		value= og1[position];
						value++;
						og1[position]=value;}else{value = og2[position];
												  value++;
												  og2[position]=value;}*/
		}
	

}
