/* ------------------------------------------------------------------------------- *
 * This file is part of PROMPT - a Protein Mapping and Comparison Tool             *
 * ------------------------------------------------------------------------------- *
 * Copyright (C) Thorsten Schmidt                             t.schmidt@wzw.tum.de *
 *               Technische Universitt Mnchen                                    *
 *               Wissenschaftszentrum Weihenstephan                                *
 *               Am Forum 1                                                        *
 *               85354 Freising                                                    *
 *               Germany                                                           *
 *                                                                                 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A *
 * PARTICULAR PURPOSE.  See the license file for more details.                     *
 *                                                                                 *
 * ------------------------------------------------------------------------------- *
 * $Id: IFilterValueAble.java,v 1.2 2006/01/05 02:19:22 schmidt Exp $
 * ------------------------------------------------------------------------------- *
 * Author: Thorsten Schmidt <t.schmidt@wzw.tum.de>                                 *
 * ------------------------------------------------------------------------------- */
package prompt.input.filter;

/**
 * @author schmidt
 * Alle Engines or Visualisation classes die nur einen bestimmten wertebereich bearbeiten sollen koennen dies leicht 
 * mit einem beliebigen value Filter erledigen.
 */
public interface IFilterValueAble {

	/**
	 * 
	 * @uml.property name="filter"
	 * @uml.associationEnd multiplicity="(0 1)"
	 */
	public IFilterValue getFilterValue();

	/**
	 * 
	 * @uml.property name="filter"
	 */
	public void setFilterValue(IFilterValue filter);

}
